/*
 * This file is part of the Emulex Linux Device Driver for iSCSI Host Bus
 * Adapters.
 * Copyright (C) 2003 Adaptec, Inc.
 * Copyright (C) 2005-2011 Emulex.
 * All rights reserved.
 * EMULEX and SLI are trademarks of Emulex.
 * www.emulex.com
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of version 2 of the GNU General Public License as published
 * by the Free Software Foundation. This program is distributed in the hope that
 * it will be useful. ALL EXPRESS OR IMPLIED CONDITIONS, REPRESENTATIONS AND
 * WARRANTIES, INCLUDING ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT, ARE DISCLAIMED, EXCEPT TO THE EXTENT
 * THAT SUCH DISCLAIMERS ARE HELD TO BE LEGALLY INVALID. See the GNU General
 * Public License for more details, a copy of which can be found in the file
 * COPYING included with this package.
 */

#ifndef __setypes_h__
#define __setypes_h__
#ifndef __sa_types_h__
#ifdef LOSM_BUILD
typedef char i8;
typedef short i16;
typedef int i32;
typedef long long i64;

typedef i8  EXACT8,     *PEXACT8;
typedef i16 EXACT16,    *PEXACT16;
typedef i32 EXACT32,    *PEXACT32;
typedef i64 EXACT64,    *PEXACT64;

typedef u8  UEXACT8,     *PUEXACT8;
typedef u16 UEXACT16,    *PUEXACT16;
typedef u32 UEXACT32,    *PUEXACT32;
typedef u64 UEXACT64,    *PUEXACT64;

typedef void VOID, *PVOID;
#endif
#endif
#endif // __setypes_h__

